%define upstream_name    Test-Unit
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Test::Unit::TestCase - unit testing framework base class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.bz2
# (tv) make it runnable with perl-5.22 (thus fixing other package testsuites:
Patch0:		fix-perl-5.22.diff

BuildArch:	noarch
BuildRequires:	perl(Class::Inner)
BuildRequires:	perl(Test::Unit::HarnessUnit)


%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(Experimental::Sample\\)|perl\\(fail_example\\)|perl\\(fail_example_testsuite_setup\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Exporter\\)

%description
Test::Unit::TestCase is the 'workhorse' of the PerlUnit framework.
When writing tests, you generally subclass Test::Unit::TestCase,
write set_up and tear_down functions if you need them, a bunch of
test_* test methods, then do

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"


%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog Changes README doc examples
%{perl_vendorlib}/Test/*.p*
%{perl_vendorlib}/Test/Unit
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.250.0-12pclos2017
- rebuild against updates

